package com.fkzy.warn.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fkzy.warn.common.constants.EntityConstants;
import com.fkzy.warn.common.request.RequestParameter;
import com.fkzy.warn.common.response.ApiResponse;
import com.fkzy.warn.mapper.MonitorUsersMapper;
import com.fkzy.warn.model.MonitorUsers;
import com.fkzy.warn.service.MonitorUsersService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author zhangjing
 * @date 2023/10/16 18:17
 * @description
 */
@Service
public class MonitorUsersServiceImpl extends ServiceImpl<MonitorUsersMapper, MonitorUsers> implements
    MonitorUsersService {


    @Override
    public ApiResponse saveModel(MonitorUsers entity, String ticket) {
        save(entity);
        return new ApiResponse();
    }

    @Override
    public ApiResponse updateModel(MonitorUsers entity,String ticket) {
        this.updateById(entity);
        return new ApiResponse();
    }

    @Override
    public ApiResponse deleteModel(List<String> ids) {
        MonitorUsers entity = new MonitorUsers();
        entity.setIsDel(EntityConstants.DEL);
        QueryWrapper wrapper = new QueryWrapper();
        wrapper.in("id", ids);
        update(entity, wrapper);
        return new ApiResponse();
    }

    @Override
    public Page<MonitorUsers> queryPage(RequestParameter parameter) {
        MonitorUsers entity = parameter.getParameter().toJavaObject(MonitorUsers.class);
        Page<MonitorUsers> page = new Page<MonitorUsers>(parameter.getCurrent(), parameter.getSize());
        page.setSearchCount(true);
        page.setOptimizeCountSql(true);
        QueryWrapper<MonitorUsers> eWrapper = new QueryWrapper<MonitorUsers>(entity);
        Page<MonitorUsers> result = this.page(page, eWrapper);
        return result;
    }
}
